from redis_om import HashModel, Field
from pydantic import EmailStr


class PUser(HashModel):
    username: str = Field(index=True)
    email: EmailStr
    password: str
    admin: int = 0


class DataCenter(HashModel):
    name: str = Field(index=True)
    url: str = Field(index=True)
    active: bool = Field(index=True)


class ResourcePool(HashModel):
    rpname: str = Field(index=True)
    owner: str = Field(default="")
    datacenter: str = Field(default="")
    id: int = Field()
